Classes | Namespaces | Functions | Variables
LotusSpreadsheet.cpp File Reference
`#include <stdlib.h>`
`#include <string.h>`
`#include <cmath>`
`#include <limits>`
`#include <map>`
`#include <regex>`
`#include <set>`
`#include <stack>`
`#include <sstream>`
`#include <utility>`
`#include <librevenge-stream/librevenge-stream.h>`
`#include "libwps_internal.h"`
`#include "libwps_tools_win.h"`
`#include "WKSContentListener.h"`
`#include "WKSSubDocument.h"`
`#include "WPSEntry.h"`
`#include "WPSFont.h"`
`#include "WPSCell.h"`
`#include "WPSStream.h"`
`#include "WPSTable.h"`
`#include "Lotus.h"`
`#include "LotusStyleManager.h"`
`#include "LotusSpreadsheet.h"`

## Classes
struct | LotusSpreadsheetInternal::Style
| a class used to store a style of a cell in LotusSpreadsheet More...
struct | LotusSpreadsheetInternal::ExtraStyle
| the extra style More...
struct | LotusSpreadsheetInternal::RowStyles
| a class used to store the styles of a row in LotusSpreadsheet More...
struct | LotusSpreadsheetInternal::ExtraRowStyles
| a class used to store the extra style of a row in LotusSpreadsheet More...
struct | LotusSpreadsheetInternal::CellsList
| a list of position of a Lotus spreadsheet More...
class | LotusSpreadsheetInternal::Cell
| a cellule of a Lotus spreadsheet More...
class | LotusSpreadsheetInternal::Spreadsheet
| the spreadsheet of a LotusSpreadsheet More...
struct | LotusSpreadsheetInternal::Format123Style
| the format style for lotus 123 More...
struct | LotusSpreadsheetInternal::Extra123Style
| the extra style for lotus 123 More...
struct | LotusSpreadsheetInternal::Table123Styles
| a class used to store the styles of a table in LotusSpreadsheet in a lotus 123 files More...
struct | LotusSpreadsheetInternal::State
| the state of LotusSpreadsheet More...
class | LotusSpreadsheetInternal::SubDocument
| Internal: the subdocument of a LotusSpreadsheet. More...
struct | LotusSpreadsheetInternal::Functions

## Namespaces
| LotusSpreadsheetInternal

## Functions
std::ostream & | LotusSpreadsheetInternal::operator<< (std::ostream &o, Cell const &cell)
| operator<< More...

## Variables
static const int | MAX_COLUMNS = 255
static Functions const | LotusSpreadsheetInternal::s_listFunctions []

## Variable Documentation

## ◆ MAX_COLUMNS

const int MAX_COLUMNS = 255
| static

Referenced by LotusSpreadsheet::readCellsFormat801(), and LotusSpreadsheetInternal::Spreadsheet::setColumnWidth().